---
schema_version: "1"
id: 32741fe72775ff0122661899967c227711bd646173b5cfae38e5d66250a9eef4
title: Post /interaction/v1/interactions/contactexit/status
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/interactiveContactExitStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/interactiveContactExitStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ed2cee044bfbd6e75a5f37e0c4c485616651d25b0313d4bc8544cf400f936a4b
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# Post /interaction/v1/interactions/contactexit/status

## Overview

Returns the status of a request to remove a contact from a journey or from one or more versions of a journey.

### JSON Parameters

| Name              | Type   |            | Description                                                                                                     |
| ----------------- | ------ | ---------- | --------------------------------------------------------------------------------------------------------------- |
| **ContactKey**    | string | `Required` | ID that uniquely identifies a subscriber or contact. Include a single contact or an array of up to 50 contacts. |
| **DefinitionKey** | string | `Required` | Customer Key that uniquely identifies the journey. This key is the same for all versions of the journey.        |
| **Versions**      | array  |            | One or more versions of a journey from which to remove a contact.                                               |

### Responses

| Status  | Name                        | Type   | Description                                                                      |
| ------- | --------------------------- | ------ | -------------------------------------------------------------------------------- |
| **200** | &nbsp;                      | &nbsp; | \*\*\*\*                                                                         |
| &nbsp;  | contactKey                  | string | Contact that needs to be removed from a journey                                  |
| &nbsp;  | definitionKey               | string | Definition key of the journey                                                    |
| &nbsp;  | status                      | array  | Array of statuses of the contact in a given journey                              |
| &nbsp;  | status.version              | string | Version number of the journey                                                    |
| &nbsp;  | status.message              | string | Status of the request to remove a contact from a specific version of the journey |
| &nbsp;  | status.definitionInstanceId | string | Unique Id representing each instance of a contact in a journey                   |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactexit/status
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

[
	{
		"ContactKey": "CONTACTKEY 1",
		"DefinitionKey": "DEFINITIONKEY"
	},
	{
		"ContactKey": "CONTACTKEY 2",
		"DefinitionKey": "INVALID DEFINITIONKEY",
		"Versions" :[1,2]
	}
]
```

### Example Response

```js
HTTP/1.1 200 Accepted
[
    {
        "contactKey": "CONTACTKEY 1",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 1,
                "message": "Exit process Completed.",
                "definitionInstanceId": "423698a6-a517-4bf9-8ecc-3517905aa489"
            },
            {
                "version": 2,
                "message": "Exit request received for processing"
            }
        ]
    },
    {
        "contactKey": "CONTACTKEY 2",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 1,
                "message": "Exit Request is being Processed.",
                "definitionInstanceId": "68e1544e-9bdc-4e3f-9cb0-e6d0bfceefc0"
            },
            {
                "version": 2,
                "message": "Exit request received for processing"
            }
        ]
    }
]
```
